package org.apache.commons.lang3.concurrent;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.commons.lang3.concurrent.EventCountCircuitBreaker;

class StateStrategyOpen extends EventCountCircuitBreaker.StateStrategy {
  private StateStrategyOpen() {}
  
  public boolean isStateTransition(EventCountCircuitBreaker breaker, EventCountCircuitBreaker.CheckIntervalData currentData, EventCountCircuitBreaker.CheckIntervalData nextData) {
    return (nextData.getCheckIntervalStart() != currentData
      .getCheckIntervalStart() && currentData
      .getEventCount() < breaker.getClosingThreshold());
  }
  
  protected long fetchCheckInterval(EventCountCircuitBreaker breaker) {
    return breaker.getClosingInterval();
  }
}
